Subject: Re: [PATCH v5 net-next 0/5] add PLCA RS support and onsemi NCN26000

From: Andrew Lunn <[email-masked]>
Date: Wed, 7 Dec 2022 01:43:41 +0100

On Wed, Dec 07, 2022 at 01:00:58AM +0100, Piergiorgio Beruto wrote:
> This patchset adds support for getting/setting the Physical Layer 
> Collision Avoidace (PLCA) Reconciliation Sublayer (RS) configuration and
> status on Ethernet PHYs that supports it.
> 
> PLCA is a feature that provides improved media-access performance in terms
> of throughput, latency and fairness for multi-drop (P2MP) half-duplex PHYs.
> PLCA is defined in Clause 148 of the IEEE802.3 specifications as amended
> by 802.3cg-2019. Currently, PLCA is supported by the 10BASE-T1S single-pair
> Ethernet PHY defined in the same standard and related amendments. The OPEN
> Alliance SIG TC14 defines additional specifications for the 10BASE-T1S PHY,
> including a standard register map for PHYs that embeds the PLCA RS (see
> PLCA management registers at https://www.opensig.org/about/specifications/).
> 
> The changes proposed herein add the appropriate ethtool netlink interface
> for configuring the PLCA RS on PHYs that supports it. A separate patchset
> further modifies the ethtool userspace program to show and modify the
> configuration/status of the PLCA RS.
> 
> Additionally, this patchset adds support for the onsemi NCN26000
> Industrial Ethernet 10BASE-T1S PHY that uses the newly added PLCA
> infrastructure.

You should be listing what has changed since the previous
version. Either here, or in each patch, below the --- marker. It helps
reviewers know their comments have been acted up.

	 Andrew